/*
 * channelmonitor.c: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */

#include "channelmonitor.h"
#include "config.h"

cChannelMonitor::cChannelMonitor()
{

}	

void cChannelMonitor::ChannelSwitch(const cDevice *Device, int ChannelNumber)
{
	if (ChannelNumber!=0)
	{
		for (int i=config.maxEntries;i>0;i--)
			zappedChannels[i]=zappedChannels[i-1];
        zappedChannels[0]=ChannelNumber;		
    }
}


